/*
 * @copyright Copyright (c) OX Software GmbH, Germany <info@open-xchange.com>
 * @license AGPL-3.0
 *
 * This code is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with OX App Suite.  If not, see <https://www.gnu.org/licenses/agpl-3.0.txt>.
 *
 * Any use of the work other than as authorized under this license or copyright law is prohibited.
 *
 */

package com.openexchange.guard.keymanagement.services.impl.exceptions;

import com.openexchange.i18n.LocalizableStrings;

/**
 * {@link RecipKeyExceptionMessages}
 *
 * @author <a href="mailto:benjamin.gruedelbach@open-xchange.com">Benjamin Gruedelbach</a>
 * @since v7.10.0
 */
public class RecipKeyExceptionMessages implements LocalizableStrings {
    public static final String KEY_NOT_FOUND_MSG = "The requested key was not found";
    public static final String NOT_A_GUEST_ACCOUNT_MSG = "The requested account is not a valid guest account";
    public static final String CRYPTO_ERROR_MSG = "Unexpected error during cryptographic function %1$s";

    private RecipKeyExceptionMessages() { }
}
